Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class PlainCardData1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.PlainCardData1

public class PlainCardData1 extends Object

Java class for PlainCardData1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PlainCardData1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PAN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Min8Max28NumericText"/>
             <element name="CardSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Min2Max3NumericText" minOccurs="0"/>
             <element name="FctvDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISOYearMonth" minOccurs="0"/>
             <element name="XpryDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISOYearMonth"/>
             <element name="SvcCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Exact3NumericText" minOccurs="0"/>
             <element name="TrckData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}TrackData1" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CardSctyCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CardSecurityInformation1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CardSecurityInformation1`
`cardSctyCd`
`protected String`
`cardSeqNb`
`protected XMLGregorianCalendar`
`fctvDt`
`protected String`
`pan`
`protected String`
`svcCd`
`protected List<TrackData1>`
`trckData`
`protected XMLGregorianCalendar`
`xpryDt`

## Constructor Summary

Constructors
Constructor
Description
`PlainCardData1()`

## Method Summary

Modifier and Type
Method
Description
`CardSecurityInformation1`
`getCardSctyCd()`
Gets the value of the cardSctyCd property.
`String`
`getCardSeqNb()`
Gets the value of the cardSeqNb property.
`XMLGregorianCalendar`
`getFctvDt()`
Gets the value of the fctvDt property.
`String`
`getPAN()`
Gets the value of the pan property.
`String`
`getSvcCd()`
Gets the value of the svcCd property.
`List<TrackData1>`
`getTrckData()`
Gets the value of the trckData property.
`XMLGregorianCalendar`
`getXpryDt()`
Gets the value of the xpryDt property.
`void`
`setCardSctyCd(CardSecurityInformation1 value)`
Sets the value of the cardSctyCd property.
`void`
`setCardSeqNb(String value)`
Sets the value of the cardSeqNb property.
`void`
`setFctvDt(XMLGregorianCalendar value)`
Sets the value of the fctvDt property.
`void`
`setPAN(String value)`
Sets the value of the pan property.
`void`
`setSvcCd(String value)`
Sets the value of the svcCd property.
`void`
`setXpryDt(XMLGregorianCalendar value)`
Sets the value of the xpryDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pan

protected String pan

### cardSeqNb

protected String cardSeqNb

### fctvDt

protected XMLGregorianCalendar fctvDt

### xpryDt

protected XMLGregorianCalendar xpryDt

### svcCd

protected String svcCd

### trckData

protected List<TrackData1> trckData

### cardSctyCd

protected CardSecurityInformation1 cardSctyCd

## Constructor Details

### PlainCardData1

public PlainCardData1()

## Method Details

### getPAN

public String getPAN()
Gets the value of the pan property.

Returns:
  possible object is `String`

### setPAN

public void setPAN(String value)
Sets the value of the pan property.

Parameters:
  `value` - allowed object is `String`

### getCardSeqNb

public String getCardSeqNb()
Gets the value of the cardSeqNb property.

Returns:
  possible object is `String`

### setCardSeqNb

public void setCardSeqNb(String value)
Sets the value of the cardSeqNb property.

Parameters:
  `value` - allowed object is `String`

### getFctvDt

public XMLGregorianCalendar getFctvDt()
Gets the value of the fctvDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setFctvDt

public void setFctvDt(XMLGregorianCalendar value)
Sets the value of the fctvDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getXpryDt

public XMLGregorianCalendar getXpryDt()
Gets the value of the xpryDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setXpryDt

public void setXpryDt(XMLGregorianCalendar value)
Sets the value of the xpryDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getSvcCd

public String getSvcCd()
Gets the value of the svcCd property.

Returns:
  possible object is `String`

### setSvcCd

public void setSvcCd(String value)
Sets the value of the svcCd property.

Parameters:
  `value` - allowed object is `String`

### getTrckData

public List<TrackData1> getTrckData()
Gets the value of the trckData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the trckData property.

For example, to add a new item, do as follows:

        getTrckData().add(newItem);

Objects of the following type(s) are allowed in the list `TrackData1`

### getCardSctyCd

public CardSecurityInformation1 getCardSctyCd()
Gets the value of the cardSctyCd property.

Returns:
  possible object is `CardSecurityInformation1`

### setCardSctyCd

public void setCardSctyCd(CardSecurityInformation1 value)
Sets the value of the cardSctyCd property.

Parameters:
  `value` - allowed object is `CardSecurityInformation1`